Adobe LiveCycle Workflow XSS Vulnerability

Sunday, 16 March 2008


Name: Adobe LiveCycle Workflow XSS Vulnerability
Release Date: 11 March 2008
Reference: LSD002-2008
CVE Number: CVE-2008-1202
Discover: Dave Lewis
Vendor: Adobe Systems
Product: LiveCycle Workflow 6.2 Management Web Interface
Systems Affected: version 6.2 (as tested)
NB. Other versions may be affected.

Risk: Important
Status: Published

Time Line

Discovered: 16 January 2008
Reported: 16 January 2008
Fixed: 5 March 2008
Patch Release: 11 March 2008
Published: 11 March 2008


The Adobe LiveCycle Workflow management login page contains a vulnerability which is susceptible to a cross site scripting (XSS) attack.

Impact: a remote attacker could execute a XSS attack that could pass arbitrary html to the user and capture usernames/passwords.

Technical Details

Input passed to the URL of the web management login page is not properly sanitized before being returned to the user. This can be exploited to execute arbitrary HTML and script code in a user’s browser session in context of an affected site.

Fix Information

This issue has been resolved.

The patch may be obtained from:


I would like to thank the Adobe team for their attention to this problem and for their professionalism.

Liquidmatrix Security Digest

2255B Queen Street East
suite 156
Toronto, Ontario
M4E 1G3

Share this content:
Home | News | Articles | Advisories | Submit | Alerts | Links | What is XSS | About | Contact | Some Rights Reserved.